//---------------------------------------------------------------------------
// This function will convert an integer to a string left padded with zeroes.
// A max target length of 8 is supported.
//---------------------------------------------------------------------------
char *IntPadLeftZeroes(int number, int target_len) {

   char *buf;
   char *buf2;
   int   raw_len;
   int   pad_count;

   if (target_len > 0 && target_len <= 8) {
     buf2 = number;                      // auto convert int to string
     raw_len = strlen(buf2);             // length of number string
     if (raw_len < target_len) {         // is target length > string length?
       pad_count = target_len - raw_len; // number of pad 0s needed
       while (pad_count > 0) {
         strcat(buf,"0");                // pad left with 0
         --pad_count;
       } // while
       strcat(buf,buf2);                 // append number string
       }
     else {
       strcpy(buf,buf2);                 // no need to pad, simply copy
     }
     }
   else {
     buf = "IntPadLeftZeroes: error, target length must be in range 1 to 8.";
     msg(buf);
   }
   return(buf);

} // IntPadLeftZeroes
