//--------------------------------------------------------------------------------
// This Edit macro selects the word at the current cursor position, then copies it
// to the Windows Clipboard.
//
// NOTE: The "word" is all non-blank characters left and right of the current
// cursor position. Start-of-line and end-of-line are also delimiters.
//--------------------------------------------------------------------------------
void WordCopy(void) {

  if (SPFService("query","context") == "EDIT") {
    SPFService("cmd","select word");
    SPFService("cmd","copy");
    }
  else {
    Msg("WORDCOPY is an Edit macro, it can not be used outside of Edit.");
  }

} // WordCopy
